# -*- coding: utf-8 -*-

# @image_timer_uninstall = true
# @image_slide_number_uninstall = true

@font_family = find_font_family("ＤＦＰ中丸ゴシック体") || @font_family

@title_slide_title_font_size = @x_large_font_size * 0.75

@block_quote_image_background_alpha = 0.3

include_theme("clear-blue")

include_theme("icon")

@lightning_talk_proc_name = "lightning-rubykaigi"
@lightning_talk_as_large_as_possible = true
include_theme("lightning-talk-toolkit")

match(Slide) do |slides|
  slides.each do |slide|
    if slide.lightning_talk? and
        slide.body.elements.collect {|element| element.class} != [Image]
      slide.lightning_talk
    end
  end
end

match(Slide, Body) do |bodies|
  bodies.each do |body|
    if body.elements.collect {|element| element.class} == [Paragraph]
      body.elements.each do |element|
        element.horizontal_centering = true
        if element.text.size > 50
          element.prop_set("size", @large_font_size)
        else
          element.prop_set("size", @x_large_font_size)
        end
        # element.as_large_as_possible("one-paragraph")
      end
    end
    body.margin_left *= 0.7
    body.margin_right *= 0.7
  end
end

match("**", CustomTag) do |tags|
  tags.each do |tag|
    case tag.name
    when "center"
      if tag.parent.parent.elements.any? {|element| element.is_a?(Image)}
        tag.parent.margin_bottom *= 10
      end
    end
  end
end

